# Uses of Class
org.apache.sling.distribution.journal.impl.discovery.TopologyView

Packages that use TopologyView
Package
Description
org.apache.sling.distribution.journal.impl.discovery

## Uses of TopologyView in org.apache.sling.distribution.journal.impl.discovery

Methods in org.apache.sling.distribution.journal.impl.discovery that return TopologyView
Modifier and Type
Method
Description
`TopologyView`
TopologyViewManager.`getCurrentView()`
`TopologyView`
DiscoveryService.`getTopologyView()`
`TopologyView`
TopologyViewManager.`updateView()`
Update the Topology view
`protected TopologyView`
TopologyViewManager.`updateView(long now)`
Constructors in org.apache.sling.distribution.journal.impl.discovery with parameters of type TopologyView
Modifier
Constructor
Description
``
`TopologyViewDiff(TopologyView oldView, TopologyView newView)`